# $Revision: 1.78 $, $Date: 2005/03/27 12:11:34 $
#
# Conditional build:
%bcond_without	gnome	# without gnome packages (gnome/gnomedb/bonobo libs)
#			  and w/o gnome/gnomedb/bonobo support in libglade-config
%bcond_without	bonobo	# without bonobo libs
#			  and w/o bonobo support in libglade-config
%bcond_with	gnomedb	# without gnomedb libs
#			  and w/o gnomedb support in libglade-config
#
%if %{without gnome}
%undefine	with_bonobo
%undefine	with_gnomedb
%endif
Summary:	libglade library
Summary(es):	El libglade permite que usted cargue archivos del interfaz del glade
Summary(pl):	Biblioteka do adowania definicji interfejsu generowanego programem glade
Summary(pt_BR):	Esta biblioteca permite carregar arquivos da interface glade
Summary(ru):	 libglade    
Summary(uk):	̦ libglade   Ӧ 
Name:		libglade
Version:	0.17
Release:	20
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/libglade/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	38b2e2cfd813783fe157617813bfe3b3
Patch0:		%{name}-use_AM_GNU_GETTEXT.patch
Patch1:		%{name}-gtkdoc-scanobj-nogtkinit.patch
Patch2:		%{name}-clist-gettext.patch
Patch3:		%{name}-fixquote.patch
Patch4:		%{name}-gnomedb.patch
Patch5:		%{name}-nognome.patch
Patch6:		%{name}-am18.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	bison
%{?with_bonobo:BuildRequires:	bonobo-devel >= 0.28}
BuildRequires:	gettext-devel >= 0.11.5
%{?with_gnomedb:BuildRequires:	gnome-db-devel >= 0.2.96}
%{?with_gnome:BuildRequires:	gnome-libs-devel}
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	libxml-devel >= 1.7.2
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libglade library allows you to load user interfaces which are
stored externally into your program. This allows for alteration of the
interface without recompilation of the program. The interfaces can
also be edited with GLADE. Currently libglade supports all of the
widgets in current releases, keyboard accelerators and automatic
signal connection.

%description -l es
El libglade permite que usted cargue archivos del interfaz del glade
en tiempo de ejecucin.

%description -l pl
Biblioteka libglade umoliwia dynamiczne adowanie definicji
interfejsu uytkownika generowanego za pomoc programu glade. Taka
separacja definicji interfejsu umoliwia prac nad nim bez
koniecznoci rekompilacji programu.

%description -l pt_BR
O libglade permite carregar, em tempo de execuo, arquivos da
interface glade. No  necessrio ter o glade instalado, mas esta  a
melhor maneira de criar os arquivos de interface.

%description -l ru
 libglade      
,    .   
   .   
   GLADE.  libglade  
,     
.

%description -l uk
̦ libglade Ѥ     
,  Ҧ  Φ ̦.  Ѥ
ͦ   Цæ .  
    GLADE. ڦ libglade Цդ Ӧ
צ, צΦ     '.

%package devel
Summary:	Libraries, includes, etc to develop libglade applications
Summary(es):	Archivos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl):	Biblioteki, pliki nagwkowe i dokumentacja dla programisty
Summary(pt_BR):	Arquivos necessrios para o desenvolvimento de aplicaes com a interface glade
Summary(ru):	      libglade
Summary(uk):	      libglade
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk-doc-common
Requires:	libxml-devel

%description devel
Libraries, include files, etc you can use to develop libglade
applications.

%description devel -l es
Archivos de inclusin y bibliotecas necesarias para el desarrollo de
aplicaciones con glade.

%description devel -l pl
Biblioteki, pliki nagwkowe i dokumentacja dla programisty.

%description devel -l pt_BR
Arquivos de incluso e bibliotecas para o desenvolvimento de
aplicaes com a interface glade.

%description devel -l ru
 libglade-devel  ,   
,  libglade.

%description devel -l uk
 libglade-devel ͦ , ȦΦ   , 
 libglade.

%package static
Summary:	Static libglade library
Summary(es):	Archivos estticos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl):	Biblioteka statyczna libglade
Summary(pt_BR):	Arquivos estticos necessrios para o desenvolvimento de aplicaes com a interface glade
Summary(ru):	       libglade
Summary(uk):	Φ ¦̦      libglade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libglade library.

%description static -l es
Archivos estticos necesarias para el desarrollo de aplicaciones con
glade.

%description static -l pl
Biblioteka statyczna libglade.

%description static -l pt_BR
Bibliotecas estticas para o desenvolvimento de aplicaes com a
interface glade.

%description static -l ru
 libglade-devel-static   , 
    ,  libglade.

%description static -l uk
 libglade-devel-static ͦ Φ ¦̦, ˦ 
   ,   libglade.

%package gnome
Summary:	libglade-gnome library
Summary(pl):	Biblioteka libglade-gnome
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gnome
libglade-gnome library.

%description gnome -l pl
Biblioteki libglade-gnome.

%package gnome-devel
Summary:	libglade-gnome development files
Summary(pl):	Pliki dla programistw libglade-gnome
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-gnome = %{epoch}:%{version}-%{release}
Requires:	gnome-libs-devel

%description gnome-devel
libglade-gnome development files.

%description gnome-devel -l pl
Pliki dla programistw uywajcych libglade-gnome.

%package gnome-static
Summary:	Static libglade-gnome library
Summary(pl):	Statyczna biblioteka libglade-gnome
Group:		X11/Development/Libraries
Requires:	%{name}-gnome-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-static < 1:0.17-10

%description gnome-static
Static version of libglade-gnome library.

%description gnome-static -l pl
Statyczna wersja biblioteki libglade-gnome.

%package gnomedb
Summary:	libglade-gnomedb library
Summary(pl):	Biblioteka libglade-gnomedb
Group:		X11/Libraries
Requires:	%{name}-gnome = %{epoch}:%{version}-%{release}

%description gnomedb
libglade-gnomedb library.

%description gnomedb -l pl
Biblioteka libglade-gnomedb.

%package gnomedb-devel
Summary:	libglade-gnomedb development files
Summary(pl):	Pliki dla programistw libglade-gnomedb
Group:		X11/Development/Libraries
Requires:	%{name}-gnomedb = %{epoch}:%{version}-%{release}
Requires:	%{name}-gnome-devel = %{epoch}:%{version}-%{release}
Requires:	gnome-db-devel

%description gnomedb-devel
libglade-gnomedb development files.

%description gnomedb-devel -l pl
Pliki dla programistw uywajcych libglade-gnomedb.

%package gnomedb-static
Summary:	libglade-gnomedb static library
Summary(pl):	Statyczna biblioteka libglade-gnomedb
Group:		X11/Development/Libraries
Requires:	%{name}-gnomedb-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-gnome-static < 1:0.17-14

%description gnomedb-static
Static version of libglade-gnomedb library.

%description gnomedb-static -l pl
Statyczna wersja biblioteki libglade-gnomedb.

%package bonobo
Summary:	libglade-bonobo library
Summary(pl):	Biblioteka libglade-bonobo
Group:		X11/Libraries
Requires:	%{name}-gnome = %{epoch}:%{version}-%{release}

%description bonobo
libglade-bonobo library.

%description bonobo -l pl
Biblioteka libglade-bonobo.

%package bonobo-devel
Summary:	libglade-bonobo development files
Summary(pl):	Pliki dla programistw libglade-bonobo
Group:		X11/Development/Libraries
Requires:	%{name}-bonobo = %{epoch}:%{version}-%{release}
Requires:	%{name}-gnome-devel = %{epoch}:%{version}-%{release}
Requires:	bonobo-devel

%description bonobo-devel
libglade-bonobo development files.

%description bonobo-devel -l pl
Pliki dla programistw uywajcych libglade-bonobo.

%package bonobo-static
Summary:	libglade-bonobo static library
Summary(pl):	Statyczna biblioteka libglade-bonobo
Group:		X11/Development/Libraries
Requires:	%{name}-bonobo-devel = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-gnome-static < 1:0.17-14

%description bonobo-static
Static version of libglade-bonobo library.

%description bonobo-static -l pl
Statyczna wersja biblioteki libglade-bonobo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__gettextize}
touch po/POTFILES.in
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure \
	%{?with_bonobo:--enable-bonobo} \
	%{?with_gnomedb:--enable-gnomedb} \
	%{!?with_gnome:--without-gnome}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir} \
	HTML_DIR=%{_gtkdocdir}

install test-libglade.c *.glade $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

mv -f $RPM_BUILD_ROOT%{_gtkdocdir}/{libglade,libglade1}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   gnome -p /sbin/ldconfig
%postun gnome -p /sbin/ldconfig

%post	gnomedb -p /sbin/ldconfig
%postun	gnomedb -p /sbin/ldconfig

%post	bonobo -p /sbin/ldconfig
%postun	bonobo -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libglade.so.*.*

%files devel
%defattr(644,root,root,755)
# libglade-config is different when building with gnome (contains support for
# GNOME-dependent libs), but it doesn't break things like libgladeConf.sh do
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libglade.so
%{_libdir}/libglade.la
%{_pkgconfigdir}/libglade.pc
%{_includedir}/libglade-1.0
%{_aclocaldir}/*
%{_gtkdocdir}/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libglade.a

%if %{with gnome}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglade-gnome.so.*.*

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglade-gnome.so
%{_libdir}/libglade-gnome.la
# here - because it's for gnome-config and always gives -lglade-gnome
%attr(755,root,root) %{_libdir}/libgladeConf.sh
%{_pkgconfigdir}/libglade-gnome.pc

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libglade-gnome.a
%endif

%if %{with bonobo}
%files bonobo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglade-bonobo.so.*.*

%files bonobo-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglade-bonobo.so
%{_libdir}/libglade-bonobo.la
%{_pkgconfigdir}/libglade-bonobo.pc

%files bonobo-static
%defattr(644,root,root,755)
%{_libdir}/libglade-bonobo.a
%endif

%if %{with gnomedb}
%files gnomedb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglade-gnomedb.so.*.*

%files gnomedb-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libglade-gnomedb.so
%{_libdir}/libglade-gnomedb.la
%{_pkgconfigdir}/libglade-gnomedb.pc

%files gnomedb-static
%defattr(644,root,root,755)
%{_libdir}/libglade-gnomedb.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libglade.spec,v $
Revision 1.78  2005/03/27 12:11:34  havner
- gnomedb turned off

Revision 1.77  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.76  2003/12/28 12:26:42  qboosh
- merged ac patch into use_AM_GNU_GETTEXT patch
- added am18 patch with libglade.m4 quotation fix
- release 19

Revision 1.75  2003/12/07 00:22:44  qboosh
- new-style bconds
- release 18 - rebuild on gnome-libs with external libart_lgpl
- added release to internal deps to assure proper linking

Revision 1.74  2003/12/06 09:25:10  matkor
- Release 17 (ac). Rebuild with db-4.2.50 libs.

Revision 1.73  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.72  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.71  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.70  2003/02/01 01:34:15  adgor
- Release 16

Revision 1.69  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.68  2003/01/15 13:15:07  qboosh
- updated Source0 URL

Revision 1.67  2002/12/30 14:55:22  wrobell
- back to gnome-db as build requirement instead of gnome-db1 (libgnomedb
  replaces gnome-db, so there is no need for gnome-db1)

Revision 1.66  2002/12/28 20:55:07  qboosh
- moved bcond defs on top (so _without_gnome is sufficient)

Revision 1.65  2002/12/28 02:23:50  adgor
- Added wo bonobo & wo gnomedb bconds instead of wo gnome bcond
- Fiexed req (fixme if i'm wrong)

Revision 1.64  2002/12/13 08:09:42  wrobell
- build requirements changed from gnome-db-devel to gnome-db1-devel

Revision 1.63  2002/11/25 19:53:01  baggins
- release 15
- added ac patch

Revision 1.62  2002/11/25 14:16:53  ankry
- massive attack: no need for 755 for *.la

Revision 1.61  2002/10/10 10:47:31  qboosh
- separated bonobo and gnomedb packages (because of deps - and that they
  are currently not used by any package)
- release 14

Revision 1.60  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.59  2002/10/02 09:34:57  qboosh
- -gnome-* R: libglade* after split (1:0.17-10) to avoid conflicts
- release 13

Revision 1.58  2002/10/02 06:09:18  kloczek
- rlease 12: remove files conflicts between libglade-devel and libglade2-devel.

Revision 1.57  2002/08/09 06:27:44  kloczek
- release 11: add run /sbin/ldconfig in %post/postun in gnome subpackage.

Revision 1.56  2002/08/06 11:31:30  qboosh
- separated -gnome* packages - now base package from ftp won't require gnome
- release 10

Revision 1.55  2002/08/03 17:57:13  qboosh
- allow building without GNOME (added nognome patch with autoconf fixes)
- gettext-related fixes for automake 1.6.x (no po directory in sources)
- moved gtkdoc files to standard location
- release 9

Revision 1.54  2002/06/24 13:10:10  kloczek
- release 8: added Requitres rules for devel subpackage.

Revision 1.53  2002/06/23 20:52:52  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.52  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.51  2002/05/27 22:52:41  kloczek
- release 7: merge translations from KSI.

Revision 1.50  2002/05/24 12:14:42  trojan
- typo

Revision 1.49  2002/05/24 11:14:36  trojan
- new %%doc packing infrastructure
- moved docs from devel to main package
- added %%doc to examples, fixed dir with examples
- added libglade-clist-gettext.patch and libglade-fixquote.patch from RH
- added libglade-gnomedb from TurboLinux
- enabled build with gnomedb
- added BR: gnome-db-devel >= 0.2.96
- release 5; STBR

Revision 1.48  2002/05/21 23:13:45  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.47  2002/05/17 13:39:16  qboosh
- downgrade to 0.17 - 1.99.x for GNOME2 is in libglade2.spec

Revision 1.45  2002/03/04 19:59:40  mmazur
- typos in %desc -pl

Revision 1.44  2002/02/26 17:49:35  filon
- doesn't build with gnomedb, disable it
- release 4

Revision 1.43  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2001/10/03 16:41:54  filon
- changed req for main subpkg in static subpkg to devel
- release 3

Revision 1.39  2001/10/02 01:14:38  kloczek
- fixed %files list in devel.

Revision 1.38  2001/10/02 00:39:41  kloczek
- added gtkdoc-scanobj-nogtkinit patch which adds to gtkdoc-scanobj parameters
  --nogtkinit for allow build package without $DISPLAY.

Revision 1.37  2001/10/01 23:18:55  kloczek
- release 2: merge translations stolen from CNV.

Revision 1.36  2001/09/30 15:37:40  qboosh
- BuildRequires: gettext-devel

Revision 1.35  2001/09/08 18:23:01  kloczek
- updated to 0.17.

Revision 1.34  2001/06/15 20:58:05  kloczek
- release 4.

Revision 1.33  2001/06/15 16:02:41  baggins
- libtoolize

Revision 1.32  2001/04/23 16:57:45  kloczek
- release 3,
- removed BuildRequires for gnome-print-devel (libglade do not uses this),
- added bison to Buildrequires,
- added use_AM_GNU_GETTEXT patch and added regenerate am, ac files.

Revision 1.31  2001/04/15 18:00:32  qboosh
- moved /usr/X11R6/lib/pkgconfig/* to %%{_pkgconfigdir} [not tested]

Revision 1.30  2001/03/03 11:33:15  kloczek
- s#%{_datadir}/pkgconfig#%{_libdir}/pkgconfig#

Revision 1.29  2001/03/03 10:45:36  kloczek
- release 2: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.28  2001/02/13 18:02:16  kloczek
- updated to 0.16.

Revision 1.27  2001/01/08 07:21:14  kloczek
- relese 2, Epoch: 1 (for allow upgrade from RH version).

Revision 1.26  2000/11/23 02:13:13  kloczek
- updated to 0.15,
- removed outdated bonobo patch.

Revision 1.25  2000/11/03 09:28:35  kloczek
- release 6: rebuild agains bonobo 0.28.

Revision 1.24  2000/10/27 09:15:01  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.23  2000/10/10 14:18:18  kloczek
- release 4: rebuild against gnome-print >= 0.24.

Revision 1.22  2000/10/04 02:21:33  kloczek
- release 3: rebuild against bonobo >= 0.18.

Revision 1.21  2000/10/01 07:16:55  kloczek
- release 2,
- added bonobo patch which fixes building libglade against bonobo 0.17.

Revision 1.20  2000/07/11 07:03:27  kloczek
- updated to 0.14.

Revision 1.19  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.18  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/20 20:53:55  kloczek
- remove using %%find_lang macro (current libglade have internationalized
  only test program).

Revision 1.16  2000/05/20 20:36:32  kloczek
- updated to 0.13,
- spec adapterized.

Revision 1.15  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.14  2000/04/01 20:57:21  kloczek
- updated to 0.0.12,
- added using %%{_aclocaldir} macro,
- updated Source url.

Revision 1.13  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.11  2000/02/02 17:53:11  kloczek
- release 3,
- place libglade.m4 file in proper place (in /usr/share/aclocal).

Revision 1.10  2000/01/28 02:28:40  kloczek
- release 2,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.9  1999/12/20 20:31:39  kloczek
- updated to 0.11,
- added pl translation.

Revision 1.8  1999/11/22 19:06:07  kloczek
- updated to 0.9.

Revision 1.7  1999/11/19 00:39:25  kloczek
- updated to 0.8,
- more rpm macros.

Revision 1.6  1999/09/30 20:39:39  kloczek
- updated to 0.7.

Revision 1.5  1999/09/22 15:53:07  kloczek
- updated to 0.6.

Revision 1.4  1999/09/08 22:41:25  kloczek
- removed automake from %build,
- added passing LDFLAGS="-s" to ./configure enviroment.

Revision 1.3  1999/09/08 22:39:47  kloczek
- updated to 0.5,
- removed DESTDIR (integrated in curret version).

Revision 1.2  1999/08/19 01:46:56  kloczek
- completly rewrited in PLD style.

* Sun Nov  1 1998 James Henstridge <james@daa.com.au>
- Updated the dependencies of the devel package, so users must have gtk+-devel.

* Sun Oct 25 1998 James Henstridge <james@daa.com.au>
- Initial release 0.0.1
